#include "stdafx.h"

#include "db.mysql.sqlide.h"
#include "mysql_sql_editor_be.h"
#include "grtpp.h"
#include "interfaces/plugin.h"


using namespace bec;
using namespace grt;


#define MODULE_VERSION "1.0.0"


GRT_MODULE_ENTRY_POINT(MysqlSqlImpl);

/*
grt::ListRef<app_Plugin> MysqlSqlImpl::getPluginInfo()
{
  grt::ListRef<app_Plugin> list(get_grt());
  return list;
}
*/

std::auto_ptr<Sql_editor> MysqlSqlImpl::getSqlEditor(db_mgmt_RdbmsRef rdbms)
{
  return std::auto_ptr<Sql_editor>(new Mysql_sql_editor(rdbms));
}
